Register for the iXsystems Community to get an ad-free experience and exclusive discounts in our eBay Store.

SCALE 22.02-RC.2 Now Available

eturgeon

Super Moderator
Moderator
iXsystems
Joined
Nov 29, 2021
Messages
20

Patrick M. Hausen

Hall of Famer
Joined
Nov 25, 2013
Messages
5,013
Absolutely painless. Network, data, the two TrueCharts apps I run, all working. Good job!
 

ClassicGOD

Contributor
Joined
Jul 28, 2011
Messages
144
After update I was unable to unlock my password encrypted pool because "/mnt/pool_name is not empty".
Inside /mnt/pool_name i found 2 directories that I have set up as volumes for the official Plex app. The app was not up after restart (as it shouldn't be having volumes on encrypted pool) so I'm not sure what created those directories (Docker?).
I removed the 2 empty folders from /mnt/pool_name and retried unlocking the pool. This time it went fine.
 

Trevor68

Dabbler
Joined
Oct 15, 2021
Messages
35
How to update? I can download the file, but then cannot tick the box to update?
update.jpg
 

ClassicGOD

Contributor
Joined
Jul 28, 2011
Messages
144
How to update? I can download the file, but then cannot tick the box to update?
Click cancel and you'll see there is another window under this one. It displays 2 on top of each other for some reason.
 

Trevor68

Dabbler
Joined
Oct 15, 2021
Messages
35
got it thanks, all went well
 

sybreeder

Dabbler
Joined
Aug 15, 2013
Messages
41
In mine Case i've updated to latest and docker doesn't seems to work right. In manage docker images all images are shown. But when i go to installed applications circle is spinning and spinning and seems like there is no end. I've tried access docker apps but those are not working. Any tip?

Error: Cannot connect to host 127.0.0.1:6443 ssl:default [Connect call failed ('127.0.0.1', 6443)]

Error: Traceback (most recent call last): File "/usr/lib/python3/dist-packages/aiohttp/connector.py", line 969, in _wrap_create_connection return await self._loop.create_connection(*args, **kwargs) # type: ignore # noqa File "/usr/lib/python3.9/asyncio/base_events.py", line 1056, in create_connection raise exceptions[0] File "/usr/lib/python3.9/asyncio/base_events.py", line 1041, in create_connection sock = await self._connect_sock( File "/usr/lib/python3.9/asyncio/base_events.py", line 955, in _connect_sock await self.sock_connect(sock, address) File "/usr/lib/python3.9/asyncio/selector_events.py", line 502, in sock_connect return await fut File "/usr/lib/python3.9/asyncio/selector_events.py", line 537, in _sock_connect_cb raise OSError(err, f'Connect call failed {address}') TimeoutError: [Errno 110] Connect call failed ('127.0.0.1', 6443) The above exception was the direct cause of the following exception: Traceback (most recent call last): File "/usr/lib/python3/dist-packages/middlewared/job.py", line 409, in run await self.future File "/usr/lib/python3/dist-packages/middlewared/job.py", line 445, in __run_body rv = await self.method(*([self] + args)) File "/usr/lib/python3/dist-packages/middlewared/schema.py", line 1137, in nf res = await f(*args, **kwargs) File "/usr/lib/python3/dist-packages/middlewared/schema.py", line 1269, in nf return await func(*args, **kwargs) File "/usr/lib/python3/dist-packages/middlewared/plugins/kubernetes_linux/update.py", line 282, in do_update await self.middleware.call('chart.release.clear_update_alerts_for_all_chart_releases') File "/usr/lib/python3/dist-packages/middlewared/main.py", line 1324, in call return await self._call( File "/usr/lib/python3/dist-packages/middlewared/main.py", line 1281, in _call return await methodobj(*prepared_call.args) File "/usr/lib/python3/dist-packages/middlewared/plugins/chart_releases_linux/upgrade.py", line 445, in clear_update_alerts_for_all_chart_releases for chart_release in await self.middleware.call('chart.release.query'): File "/usr/lib/python3/dist-packages/middlewared/main.py", line 1324, in call return await self._call( File "/usr/lib/python3/dist-packages/middlewared/main.py", line 1281, in _call return await methodobj(*prepared_call.args) File "/usr/lib/python3/dist-packages/middlewared/schema.py", line 1137, in nf res = await f(*args, **kwargs) File "/usr/lib/python3/dist-packages/middlewared/schema.py", line 1269, in nf return await func(*args, **kwargs) File "/usr/lib/python3/dist-packages/middlewared/plugins/chart_releases_linux/chart_release.py", line 156, in query for node_port_svc in await self.middleware.call( File "/usr/lib/python3/dist-packages/middlewared/main.py", line 1324, in call return await self._call( File "/usr/lib/python3/dist-packages/middlewared/main.py", line 1281, in _call return await methodobj(*prepared_call.args) File "/usr/lib/python3/dist-packages/middlewared/schema.py", line 1137, in nf res = await f(*args, **kwargs) File "/usr/lib/python3/dist-packages/middlewared/schema.py", line 1269, in nf return await func(*args, **kwargs) File "/usr/lib/python3/dist-packages/middlewared/plugins/kubernetes_linux/services.py", line 19, in query await context['core_api'].list_service_for_all_namespaces() File "/usr/lib/python3/dist-packages/kubernetes_asyncio/client/api_client.py", line 182, in __call_api response_data = await self.request( File "/usr/lib/python3/dist-packages/kubernetes_asyncio/client/rest.py", line 200, in GET return (await self.request("GET", url, File "/usr/lib/python3/dist-packages/kubernetes_asyncio/client/rest.py", line 184, in request r = await self.pool_manager.request(**args) File "/usr/lib/python3/dist-packages/aiohttp/client.py", line 520, in _request conn = await self._connector.connect( File "/usr/lib/python3/dist-packages/aiohttp/connector.py", line 535, in connect proto = await self._create_connection(req, traces, timeout) File "/usr/lib/python3/dist-packages/aiohttp/connector.py", line 892, in _create_connection _, proto = await self._create_direct_connection(req, traces, timeout) File "/usr/lib/python3/dist-packages/aiohttp/connector.py", line 1051, in _create_direct_connection raise last_exc File "/usr/lib/python3/dist-packages/aiohttp/connector.py", line 1020, in _create_direct_connection transp, proto = await self._wrap_create_connection( File "/usr/lib/python3/dist-packages/aiohttp/connector.py", line 975, in _wrap_create_connection raise client_error(req.connection_key, exc) from exc aiohttp.client_exceptions.ClientConnectorError: Cannot connect to host 127.0.0.1:6443 ssl:default [Connect call failed ('127.0.0.1', 6443)]

I've switched to previous RC and apps are working just fine
 

Attachments

  • top.JPG
    top.JPG
    78.1 KB · Views: 142
  • 2.jpg
    2.jpg
    22.7 KB · Views: 158
  • 3.jpg
    3.jpg
    38.1 KB · Views: 165
Last edited:

morganL

Captain Morgan
Administrator
Moderator
iXsystems
Joined
Mar 10, 2018
Messages
1,599
In mine Case i've updated to latest and docker doesn't seems to work right. In manage docker images all images are shown. But when i go to installed applications circle is spinning and spinning and seems like there is no end. I've tried access docker apps but those are not working. Any tip?

Error: Cannot connect to host 127.0.0.1:6443 ssl:default [Connect call failed ('127.0.0.1', 6443)]


I've switched to previous RC and apps are working just fine

Did you set these Apps up through the UI or did you use Docker tools?
If it's the former, please start a new thread.
 

zlwh2y

Cadet
Joined
Dec 23, 2021
Messages
4
update successfully ,but rc2 always reboot when rc2 boot finish (i am login in the webui,do nothing ,waiting for 1 minute and lost session,ping host, it is offline),I've switched to previous RC just working just fine
 

j0rd

Dabbler
Joined
Aug 31, 2021
Messages
18
How to update? I can download the file, but then cannot tick the box to update? View attachment 51727
i had same issue. I downloaded the "secrets" and when doing so, I couldn't click confirm or continue.

Then I tried again and didn't download "secrets" and then I could click confirm and press continue.
 

j0rd

Dabbler
Joined
Aug 31, 2021
Messages
18
My update is hanging on:

Update​

update.update 69.43%
Extracting

There was a core dump, which I couldn't scroll up to see what started it. Now my console is complaining about
Code:
loop0: Can't mount, would change R0 state.


Eventually server rebooted and updated.
 
Last edited:

zlwh2y

Cadet
Joined
Dec 23, 2021
Messages
4
update successfully ,but rc2 always reboot when rc2 boot finish (i am login in the webui,do nothing ,waiting for 1 minute and lost session,ping host, it is offline),I've switched to previous RC just working just fine
no docker,no Apps,just enable older version smb for xp
 

sybreeder

Dabbler
Joined
Aug 15, 2013
Messages
41
Did you set these Apps up through the UI or did you use Docker tools?
If it's the former, please start a new thread.
I've used both. All apps are on Fusion-IO drive and everytime i do upgrade i have to shutdown iscsi, vms and do update. Then I'm doing dkms update to kernel and Fusion-IO is available again. And ech time after that apps are back. I've switched to older boot image and it works.
 

imsocold

Dabbler
Joined
Dec 13, 2021
Messages
43
After rebooting I got the error that my pool was degraded due to disk labels changing.

I fixed this by export and then reimporting using this command:

zpool import zfs -d /dev/disk/by-id


Which resulted in this :

NAME STATE READ WRITE CKSUM zfs ONLINE 0 0 0 raidz2-0 ONLINE 0 0 0 wwn-0x5000cca254d2e695 ONLINE 0 0 0 wwn-0x5000cca254d8ec98 ONLINE 0 0 0 wwn-0x5000cca254ea545e ONLINE 0 0 0 wwn-0x5000cca254d9b49e ONLINE 0 0 0 wwn-0x5000cca254dcd880 ONLINE 0 0 0 wwn-0x5000cca23be5249d ONLINE 0 0 3 wwn-0x5000cca254d917ac ONLINE 0 0 2 wwn-0x5000cca23bf6f627 ONLINE 0 0 0

The GUI could not see the pool and so I exported again and reimported in the guy which Brought me back to this :

NAME STATE READ WRITE CKSUM zfs ONLINE 0 0 0 raidz2-0 ONLINE 0 0 0 sdf ONLINE 0 0 0 sdg ONLINE 0 0 0 sdi ONLINE 0 0 0 sda ONLINE 0 0 0 sdd ONLINE 0 0 0 sdc ONLINE 0 0 0 sdb ONLINE 0 0 0 sdh ONLINE 0 0 0

Is there any way to switch the way the pool is imported at boot?
 

Zain

Explorer
Joined
Mar 18, 2021
Messages
85
Mine seems to have updated without incident. Thanks guys!
 

Tomaae

Cadet
Joined
Feb 24, 2021
Messages
4
Upgrade went fine for me, but cloud sync is still completly broken.
It will save now new sync task without any bucket issues, but resets source path to nul right away.
Even imported ones are showed ok in GUI, but source will get wiped when backup starts or edit window is open.
Does it work for anyone?
 

morganL

Captain Morgan
Administrator
Moderator
iXsystems
Joined
Mar 10, 2018
Messages
1,599
I've used both. All apps are on Fusion-IO drive and everytime i do upgrade i have to shutdown iscsi, vms and do update. Then I'm doing dkms update to kernel and Fusion-IO is available again. And ech time after that apps are back. I've switched to older boot image and it works.

That's a pretty difficult setup to reproduce....lets see if anyone else has the issues on an NVMe drive
 

NasTrue

Cadet
Joined
Dec 23, 2021
Messages
2
Hi guys. I did the upgrade, but unfortunately I lost all my installed applications. After the upgrade I dot this error '/mnt/data1' directory is not empty (please provide "force" flag to override this error and file/directory will be renamed once the dataset is unlocked). I ended up exporting the dataset to delete the empty folder ix-applications in 'mnt/data1' and reimporting data1 pool. Unfortunately, none of the applications show up in the installed apps tab. Anyway to get them back? It seems like all the data is still present in the dataset. I have to add the dataset was encrypted. Thanks for your help.
 

zlwh2y

Cadet
Joined
Dec 23, 2021
Messages
4
update successfully ,but rc2 always reboot when rc2 boot finish (i am login in the webui,do nothing ,waiting for 1 minute and lost session,ping host, it is offline),I've switched to previous RC just working just fine
today,I reupdate rc2 from rc1-2,not reboot angain now,i can't figure out what’s problem make the first update failed
 
Top